Repository debian/dists/virtualmin-universal/ broken ? Hash sum errors

36 posts / 0 new
Last post
#1 Wed, 05/06/2015 - 03:39
frankb

Repository debian/dists/virtualmin-universal/ broken ? Hash sum errors

Hello,

i got update errors on Debian Squeeze 6.10 while upgrading or fatal errors with the install.sh script.

Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-universal/mai... Hash Sum mismatch

Regards

Frank

Wed, 05/06/2015 - 09:44
andreychek

Howdy,

We were seeing that error yesterday with some of the other repos, and Joe got that corrected with them.

Just to make sure this issue still remains in Debian 6 -- could you try running this command:

apt-get clean

And then after that, try running this:

apt-get update

Do you see any errors while doing that?

-Eric

Wed, 05/06/2015 - 12:16 (Reply to #2)
frankb

Its getting better

Get:129 http://software.virtualmin.com/gpl/debian/ virtualmin-universal/main webmin-security-updates all 4.5 [26.0 kB] Get:130 http://software.virtualmin.com/gpl/debian/ virtualmin-universal/main webmin-virtual-server all 4.17.gpl [2,245 kB] Get:131 http://software.virtualmin.com/gpl/debian/ virtualmin-universal/main webmin-virtual-server-theme all 9.0-2 [2,327 kB] Get:132 http://software.virtualmin.com/gpl/debian/ virtualmin-universal/main webmin-virtualmin-awstats all 5.1 [37.2 kB] Get:133 http://software.virtualmin.com/gpl/debian/ virtualmin-universal/main webmin-virtualmin-dav all 3.7 [21.1 kB] Get:134 http://software.virtualmin.com/gpl/debian/ virtualmin-universal/main webmin-virtualmin-mailman all 6.3 [39.8 kB] Get:135 http://software.virtualmin.com/gpl/debian/ virtualmin-universal/main webmin-virtualmin-svn all 5.1 [42.2 kB]

but still errors

Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-universal/mai... Hash Sum mismatch Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-universal/mai... Hash Sum mismatch Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-universal/mai... Hash Sum mismatch Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-universal/mai... Hash Sum mismatch Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-universal/mai... Hash Sum mismatch Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-universal/mai... Hash Sum mismatch Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-universal/mai... Hash Sum mismatch Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-universal/mai... Hash Sum mismatch Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-squeeze/main/... Hash Sum mismatch E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

Mon, 05/11/2015 - 18:52 (Reply to #3)
bobbyinoz

Hello,

I am still having Hash Sum mismatch errors when updating my Virtualmin packages.

Systim info: Operating system Debian Linux 6.0 Webmin version 1.650 Virtualmin version 4.17.gpl GPL Theme version 8.7 Kernel and CPU Linux 3.2.0-0.bpo.4-amd64 on x86_64

Something updated yesterday, and now I can no longer get into "Scheduled Backups" without a Perl execution error, as follows:

"Undefined subroutine &virtual_server::ui_link called at /usr/share/webmin/virtual-server/list_sched.cgi line 33."

My guess is that once I am able to do the updates this might resolve.

I have done the apt-get clean & apt-get update, and even rebooted. Nothing seems to have helped.

BTW, the errors are coming from the 64 bit repos.

Any ideas?

Thanks for any, and all, assistance.

Cheers. Bobby

Wed, 05/06/2015 - 14:14
andreychek

Howdy,

Hmm, I haven't been able to reproduce that, but I wonder if you're seeing an issue specific to the i386 repository.

I'll do some more research into that.

-Eric

Fri, 05/08/2015 - 02:50 (Reply to #5)
TomZeh

Thanks for research. Hope you will find something.

Tom

Fri, 05/08/2015 - 08:31 (Reply to #6)
andreychek

Which distro are you using Tom, also Debian 6?

Tue, 05/12/2015 - 04:13 (Reply to #7)
frankb

Hello,

Yes, it's the i386 repository.

Frank

Fri, 05/08/2015 - 11:32
frankb

I tried with debian 6, 32 and 64 Bit with a fresh install from http://ftp.de.debian.org/debian/

Regards

Frank

Tue, 05/12/2015 - 07:53
BigRedS

I'm still getting the same issue installing fresh on an amd64 Debian Squeeze:

Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-universal/mai... Hash Sum mismatch Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-universal/mai... Hash Sum mismatch Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-universal/mai... Hash Sum mismatch Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-universal/mai... Hash Sum mismatch Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-universal/mai... Hash Sum mismatch Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-universal/mai... Hash Sum mismatch Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-universal/mai... Hash Sum mismatch Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-universal/mai... Hash Sum mismatch Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-universal/mai... Hash Sum mismatch

Is it that the problem is fixed and I'm doing something wrong, or should I keep waiting?

Tue, 05/12/2015 - 10:25
andreychek

I think there may be an issue when using Debian 6 -- we're looking further into this.

-Eric

Thu, 05/14/2015 - 03:54
BigRedS

Thanks, for what it's worth I've just tried simply wgetting those packages, and most are fine though at least usermin-virtual-server-theme_6.8_all.deb is actually corrupt:

dpkg -i usermin-virtual-server-theme_6.8_all.deb

dpkg: status database area is locked by another process root@global:~# dpkg -i usermin-virtual-server-theme_6.8_all.deb (Reading database ... 89030 files and directories currently installed.) Unpacking usermin-virtual-server-theme (from usermin-virtual-server-theme_6.8_all.deb) ... dpkg-deb (subprocess): short read on buffer copy for failed to write to pipe in copy dpkg-deb: subprocess paste returned error exit status 2 dpkg: error processing usermin-virtual-server-theme_6.8_all.deb (--install): short read on buffer copy for backend dpkg-deb during `./usr/share/usermin/virtual-server-theme/qmailadmin/images/queue.gif' Errors were encountered while processing: usermin-virtual-server-theme_6.8_all.deb

Thu, 05/14/2015 - 22:44
andreychek

One of you guys that's having this problem -- do you think that I could log into your server in order to troubleshoot it?

If that's okay, could you either open up a support request, mark it as private, and include login details to your system there -- or you could email them to me at eric@virtualmin.com?

So far I haven't been able to reproduce that problem, or an issue with the .deb files, so seeing the issue first hand would help us sort out what's going on.

Thanks!

-Eric

Mon, 05/18/2015 - 04:34
freebeat

Hi all I had the same issue as described above. As it is time to upgrade anyway, I changed my sources.list to wheezy. apt-get dist-upgrade after apt-get update showed the same problem. I was able to resolve it by upgrading apt and its dependencies first (apt-get install apt). After that I did an apt-get clean and removed the repo files in /var/lib/apt/lists/, did a new apt-get update and then the apt-get dist-upgrade went through without complaint. Beat

Thu, 05/21/2015 - 14:23
andreychek

Howdy,

After seeing this issue persist on an existing test installation provided by a kind Virtualmin user -- I performed a fresh installation of Debian 6, and I wasn't able to reproduce this problem.

So it appears that it can work well with Debian 6, but there also seem to be some set of conditions which cause this problem.

Those of you still seeing it -- you aren't by chance all using the same provider, are you? If you're using a VPS or dedicated server provider, which provider is it?

However, I'm also curious if it helps to run a "apt-get clean", and then trying the package upgrades again.

That did not work in the test install I was looking at, but I'm curious if that helps for anyone else.

It's also possible that using freebeat's idea of removing the repo files, and then regenerating them, would work while remaining on Debian 6.

-Eric

Fri, 05/22/2015 - 14:37
Caramba

I receive the same problem

Hit http://security.debian.org squeeze/updates Release.gpg Ign http://security.debian.org/ squeeze/updates/main Translation-en Ign http://security.debian.org/ squeeze/updates/main Translation-en_US Hit http://packages.dotdeb.org squeeze Release Hit http://security.debian.org squeeze/updates Release Hit http://packages.dotdeb.org squeeze/all i386 Packages Hit http://security.debian.org squeeze/updates/main Sources Hit http://security.debian.org squeeze/updates/main i386 Packages Hit http://apt-longview.linode.com squeeze Release.gpg Ign http://apt-longview.linode.com/ squeeze/main Translation-en Ign http://apt-longview.linode.com/ squeeze/main Translation-en_US Hit http://ftp.us.debian.org squeeze Release.gpg Ign http://ftp.us.debian.org/debian/ squeeze/main Translation-en Ign http://ftp.us.debian.org/debian/ squeeze/main Translation-en_US Hit http://ftp.us.debian.org squeeze-updates Release.gpg Ign http://ftp.us.debian.org/debian/ squeeze-updates/main Translation-en Ign http://ftp.us.debian.org/debian/ squeeze-updates/main Translation-en_US Hit http://apt-longview.linode.com squeeze Release Hit http://software.virtualmin.com virtualmin-squeeze Release.gpg Hit http://ftp.us.debian.org squeeze Release Hit http://ftp.us.debian.org squeeze-updates Release Ign http://apt-longview.linode.com squeeze/main i386 Packages Hit http://apt-longview.linode.com squeeze/main i386 Packages Hit http://ftp.us.debian.org squeeze/main Sources Hit http://ftp.us.debian.org squeeze/main i386 Packages Hit http://ftp.us.debian.org squeeze-updates/main Sources/DiffIndex Hit http://ftp.us.debian.org squeeze-updates/main i386 Packages/DiffIndex Ign http://software.virtualmin.com/gpl/debian/ virtualmin-squeeze/main Translati on-en Ign http://software.virtualmin.com/gpl/debian/ virtualmin-squeeze/main Translati on-en_US Hit http://software.virtualmin.com virtualmin-universal Release.gpg Ign http://software.virtualmin.com/gpl/debian/ virtualmin-universal/main Transla tion-en Ign http://software.virtualmin.com/gpl/debian/ virtualmin-universal/main Transla tion-en_US Hit http://software.virtualmin.com virtualmin-squeeze Release Hit http://software.virtualmin.com virtualmin-universal Release Hit http://software.virtualmin.com virtualmin-squeeze/main i386 Packages Hit http://software.virtualmin.com virtualmin-universal/main i386 Packages Reading package lists... Done root@li299-157:~# apt-get install apt Reading package lists... Done Building dependency tree Reading state information... Done apt is already the newest version. 0 upgraded, 0 newly installed, 0 to remove and 6 not upgraded. root@li299-157:~# apt-get clean root@li299-157:~# apt-get update Hit http://packages.dotdeb.org squeeze Release.gpg Ign http://packages.dotdeb.org/ squeeze/all Translation-en Ign http://packages.dotdeb.org/ squeeze/all Translation-en_US Hit http://security.debian.org squeeze/updates Release.gpg Ign http://security.debian.org/ squeeze/updates/main Translation-en Ign http://security.debian.org/ squeeze/updates/main Translation-en_US Hit http://packages.dotdeb.org squeeze Release Hit http://security.debian.org squeeze/updates Release Hit http://packages.dotdeb.org squeeze/all i386 Packages Hit http://security.debian.org squeeze/updates/main Sources Hit http://security.debian.org squeeze/updates/main i386 Packages Hit http://apt-longview.linode.com squeeze Release.gpg Ign http://apt-longview.linode.com/ squeeze/main Translation-en Ign http://apt-longview.linode.com/ squeeze/main Translation-en_US Hit http://ftp.us.debian.org squeeze Release.gpg Ign http://ftp.us.debian.org/debian/ squeeze/main Translation-en Ign http://ftp.us.debian.org/debian/ squeeze/main Translation-en_US Hit http://ftp.us.debian.org squeeze-updates Release.gpg Ign http://ftp.us.debian.org/debian/ squeeze-updates/main Translation-en Ign http://ftp.us.debian.org/debian/ squeeze-updates/main Translation-en_US Hit http://apt-longview.linode.com squeeze Release Hit http://software.virtualmin.com virtualmin-squeeze Release.gpg Hit http://ftp.us.debian.org squeeze Release Ign http://apt-longview.linode.com squeeze/main i386 Packages Hit http://ftp.us.debian.org squeeze-updates Release Hit http://apt-longview.linode.com squeeze/main i386 Packages Hit http://ftp.us.debian.org squeeze/main Sources Hit http://ftp.us.debian.org squeeze/main i386 Packages Ign http://software.virtualmin.com/gpl/debian/ virtualmin-squeeze/main Translati on-en Hit http://ftp.us.debian.org squeeze-updates/main Sources/DiffIndex Hit http://ftp.us.debian.org squeeze-updates/main i386 Packages/DiffIndex Ign http://software.virtualmin.com/gpl/debian/ virtualmin-squeeze/main Translati on-en_US Hit http://software.virtualmin.com virtualmin-universal Release.gpg Ign http://software.virtualmin.com/gpl/debian/ virtualmin-universal/main Transla tion-en Ign http://software.virtualmin.com/gpl/debian/ virtualmin-universal/main Transla tion-en_US Hit http://software.virtualmin.com virtualmin-squeeze Release Hit http://software.virtualmin.com virtualmin-universal Release Hit http://software.virtualmin.com virtualmin-squeeze/main i386 Packages Hit http://software.virtualmin.com virtualmin-universal/main i386 Packages Reading package lists... Done root@li299-157:~# apt-get dist-upgrad E: Invalid operation dist-upgrad root@li299-157:~# apt-get dist-upgrade Reading package lists... Done Building dependency tree Reading state information... Done Calculating upgrade... Done The following packages will be upgraded: webmin-virtual-server-theme webmin-virtualmin-awstats webmin-virtualmin-init webmin-virtualmin-mailman webmin-virtualmin-nginx webmin-virtualmin-slavedns 6 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. Need to get 2,560 kB of archives. After this operation, 6,157 MB disk space will be freed. Do you want to continue [Y/n]? y Get:1 http://software.virtualmin.com/gpl/debian/ virtualmin-universal/main webmi n-virtual-server-theme all 9.0-2 [2,327 kB] Get:2 http://software.virtualmin.com/gpl/debian/ virtualmin-universal/main webmi n-virtualmin-awstats all 5.1 [37.2 kB] Get:3 http://software.virtualmin.com/gpl/debian/ virtualmin-universal/main webmi n-virtualmin-init all 2.5 [19.7 kB] Get:4 http://software.virtualmin.com/gpl/debian/ virtualmin-universal/main webmi n-virtualmin-mailman all 6.3 [39.8 kB] Get:5 http://software.virtualmin.com/gpl/debian/ virtualmin-universal/main webmi n-virtualmin-nginx all 1.8 [126 kB] Get:6 http://software.virtualmin.com/gpl/debian/ virtualmin-universal/main webmi n-virtualmin-slavedns all 1.8 [10.9 kB] Fetched 2,560 kB in 16s (159 kB/s) Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-unive rsal/main/binary-i386/webmin-virtual-server-theme_9.0-2_all.deb Hash Sum mismat ch Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-unive rsal/main/binary-i386/webmin-virtualmin-awstats_5.1_all.deb Hash Sum mismatch Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-unive rsal/main/binary-i386/webmin-virtualmin-init_2.5_all.deb Hash Sum mismatch Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-unive rsal/main/binary-i386/webmin-virtualmin-mailman_6.3_all.deb Hash Sum mismatch Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-unive rsal/main/binary-i386/webmin-virtualmin-nginx_1.8_all.deb Hash Sum mismatch Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-unive rsal/main/binary-i386/webmin-virtualmin-slavedns_1.8_all.deb Hash Sum mismatch E: Unable to fetch some archives, maybe run apt-get update or try with --fix-mis sing? root@li299-157:~# apt-get update --fix-missing Hit http://packages.dotdeb.org squeeze Release.gpg Ign http://packages.dotdeb.org/ squeeze/all Translation-en Ign http://packages.dotdeb.org/ squeeze/all Translation-en_US Hit http://packages.dotdeb.org squeeze Release Hit http://security.debian.org squeeze/updates Release.gpg Ign http://security.debian.org/ squeeze/updates/main Translation-en Ign http://security.debian.org/ squeeze/updates/main Translation-en_US Hit http://security.debian.org squeeze/updates Release Hit http://packages.dotdeb.org squeeze/all i386 Packages Hit http://security.debian.org squeeze/updates/main Sources Hit http://security.debian.org squeeze/updates/main i386 Packages Hit http://apt-longview.linode.com squeeze Release.gpg Ign http://apt-longview.linode.com/ squeeze/main Translation-en Ign http://apt-longview.linode.com/ squeeze/main Translation-en_US Hit http://ftp.us.debian.org squeeze Release.gpg Ign http://ftp.us.debian.org/debian/ squeeze/main Translation-en Ign http://ftp.us.debian.org/debian/ squeeze/main Translation-en_US Hit http://ftp.us.debian.org squeeze-updates Release.gpg Ign http://ftp.us.debian.org/debian/ squeeze-updates/main Translation-en Ign http://ftp.us.debian.org/debian/ squeeze-updates/main Translation-en_US Hit http://apt-longview.linode.com squeeze Release Hit http://software.virtualmin.com virtualmin-squeeze Release.gpg Hit http://ftp.us.debian.org squeeze Release Ign http://apt-longview.linode.com squeeze/main i386 Packages Hit http://ftp.us.debian.org squeeze-updates Release Hit http://apt-longview.linode.com squeeze/main i386 Packages Hit http://ftp.us.debian.org squeeze/main Sources Hit http://ftp.us.debian.org squeeze/main i386 Packages Ign http://software.virtualmin.com/gpl/debian/ virtualmin-squeeze/main Translati on-en Hit http://ftp.us.debian.org squeeze-updates/main Sources/DiffIndex Hit http://ftp.us.debian.org squeeze-updates/main i386 Packages/DiffIndex Ign http://software.virtualmin.com/gpl/debian/ virtualmin-squeeze/main Translati on-en_US Hit http://software.virtualmin.com virtualmin-universal Release.gpg Ign http://software.virtualmin.com/gpl/debian/ virtualmin-universal/main Transla tion-en Ign http://software.virtualmin.com/gpl/debian/ virtualmin-universal/main Transla tion-en_US Hit http://software.virtualmin.com virtualmin-squeeze Release Hit http://software.virtualmin.com virtualmin-universal Release Hit http://software.virtualmin.com virtualmin-squeeze/main i386 Packages Hit http://software.virtualmin.com virtualmin-universal/main i386 Packages Reading package lists... Done root@li299-157:~# apt-get dist-upgrade Reading package lists... Done Building dependency tree Reading state information... Done Calculating upgrade... Done The following packages will be upgraded: webmin-virtual-server-theme webmin-virtualmin-awstats webmin-virtualmin-init webmin-virtualmin-mailman webmin-virtualmin-nginx webmin-virtualmin-slavedns 6 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. Need to get 2,560 kB of archives. After this operation, 6,157 MB disk space will be freed. Do you want to continue [Y/n]? y Get:1 http://software.virtualmin.com/gpl/debian/ virtualmin-universal/main webmi n-virtual-server-theme all 9.0-2 [2,327 kB] Get:2 http://software.virtualmin.com/gpl/debian/ virtualmin-universal/main webmi n-virtualmin-awstats all 5.1 [37.2 kB] Get:3 http://software.virtualmin.com/gpl/debian/ virtualmin-universal/main webmi n-virtualmin-init all 2.5 [19.7 kB] Get:4 http://software.virtualmin.com/gpl/debian/ virtualmin-universal/main webmi n-virtualmin-mailman all 6.3 [39.8 kB] Get:5 http://software.virtualmin.com/gpl/debian/ virtualmin-universal/main webmi n-virtualmin-nginx all 1.8 [126 kB] Get:6 http://software.virtualmin.com/gpl/debian/ virtualmin-universal/main webmi n-virtualmin-slavedns all 1.8 [10.9 kB] Fetched 2,560 kB in 10s (238 kB/s) Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-unive rsal/main/binary-i386/webmin-virtual-server-theme_9.0-2_all.deb Hash Sum mismat ch Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-unive rsal/main/binary-i386/webmin-virtualmin-awstats_5.1_all.deb Hash Sum mismatch Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-unive rsal/main/binary-i386/webmin-virtualmin-init_2.5_all.deb Hash Sum mismatch Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-unive rsal/main/binary-i386/webmin-virtualmin-mailman_6.3_all.deb Hash Sum mismatch Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-unive rsal/main/binary-i386/webmin-virtualmin-nginx_1.8_all.deb Hash Sum mismatch Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-unive rsal/main/binary-i386/webmin-virtualmin-slavedns_1.8_all.deb Hash Sum mismatch E: Unable to fetch some archives, maybe run apt-get update or try with --fix-mis sing? root@li299-157:~# dpkg -i usermin-virtual-server-theme_6.8_all.deb dpkg: error processing usermin-virtual-server-theme_6.8_all.deb (--install): cannot access archive: No such file or directory Errors were encountered while processing: usermin-virtual-server-theme_6.8_all.deb root@li299-157:~# apt-get dist-upgrade

Nothing works

Fri, 05/22/2015 - 15:01
andreychek

You guys who are seeing the problem, are you using a dedicated server, or a VPS?

And what provider are you using?

Also, did you perform the Debian install yourself, or was it based on a provider's image?

-Eric

Fri, 05/22/2015 - 17:10 (Reply to #17)
bobbyinoz

Hi Eric,

I am running on my own ESXi server, in my own server farm. The build was originally from a net install CD.

apt-clean doesn't help, though I have done it more than once... always live in hope.

Cheers. Bobby

Fri, 05/22/2015 - 15:13
Caramba

I run instance (vps) on Linode. Udes linode image to install, but it was years ago, and before it usually upgraded well.

Fri, 05/22/2015 - 16:56
Caramba
. deb cdrom:[Debian GNU/Linux 6.0.0 Squeeze - Official Multi-architecture amd64/i386 NE deb cdrom:[Debian GNU/Linux 6.0.0 Squeeze - Official Multi-architecture amd64/i386 NET

deb http://ftp.us.debian.org/debian/ squeeze main deb-src http://ftp.us.debian.org/debian/ squeeze main deb http://packages.dotdeb.org squeeze all deb http://security.debian.org/ squeeze/updates main deb-src http://security.debian.org/ squeeze/updates main

deb http://ftp.us.debian.org/debian/ squeeze-updates main deb-src http://ftp.us.debian.org/debian/ squeeze-updates main deb http://software.virtualmin.com/gpl/debian/ virtualmin-squeeze main deb http://software.virtualmin.com/gpl/debian/ virtualmin-universal main

Fri, 05/29/2015 - 01:54
freebeat

I used the Swiss mirrors, probably something like this: deb http://mirror.switch.ch/ftp/mirror/debian/ squeeze main deb-src http://mirror.switch.ch/ftp/mirror/debian/ squeeze main deb http://security.debian.org/ squeeze/updates main deb-src http://security.debian.org/ squeeze/updates main deb http://software.virtualmin.com/gpl/debian/ virtualmin-squeeze main deb http://software.virtualmin.com/gpl/debian/ virtualmin-universal main

IMHO the problem is most likely related to apt trying to use the wrong checksum to verify the origin of the packages. Or that not all of the provided checksums work (md5, sha1 or sha256). As I wrote before, I think ugrading debian is the way forward.

Fri, 05/29/2015 - 10:45
andreychek

We think we see what's causing this issue -- it's proven tricky to fix though. I just wanted to follow up to say we haven't forgotten about it, and Joe is working on this :-)

-ERic

Fri, 05/29/2015 - 13:14 (Reply to #22)
frankb

Hi Eric,

thank you for the info.

Regards

Frank

Fri, 05/29/2015 - 23:38
Caramba

For me worked to add alternative repository - apt-get update then upgrade, but at the last I was download the Webmin deb package at http://www.webmin.com/download.html directly with wget and install it.

Then may be do update upgrade again

Everything was fixed!

Here is my sources.list

deb http://ftp.us.debian.org/debian/ squeeze main deb-src http://ftp.us.debian.org/debian/ squeeze main deb http://packages.dotdeb.org squeeze all deb http://security.debian.org/ squeeze/updates main deb-src http://security.debian.org/ squeeze/updates main

deb http://ftp.us.debian.org/debian/ squeeze-updates main deb-src http://ftp.us.debian.org/debian/ squeeze-updates main

deb http://download.webmin.com/download/repository sarge contrib deb http://webmin.mirror.somersettechsolutions.co.uk/repository sarge contrib

Wed, 12/23/2015 - 12:36
stretch

When installing virtualmin on debian testing(stretch) this error occurs again:

E: Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-universal/main/binary-amd64/webmin-virtual-server-theme_9.0-2_all.deb Hash Sum mismatch

I've checked the checksums manually, only sha512 checksum matches.

P.S. installation on debian stable(jessie) completes fine.

Thu, 04/28/2016 - 01:35
BangkokBob

Seeing this problem again:

Get:1 http://download.webmin.com/download/repository sarge/contrib amd64 webmin all 1.791 [28.2 MB]

Err:1 http://download.webmin.com/download/repository sarge/contrib i386 webmin all 1.791 Hash Sum mismatch

Get:1 http://download.webmin.com/download/repository sarge/contrib i386 webmin all 1.791 [28.2 MB]

Err:1 http://download.webmin.com/download/repository sarge/contrib all webmin all 1.791 Hash Sum mismatch

Err:1 http://download.webmin.com/download/repository sarge/contrib all webmin all 1.791 Hash Sum mismatch Fetched 56.3 MB in 27s (2,065 kB/s)

E: Failed to fetch http://download.webmin.com/download/repository/pool/contrib/w/webmin/web... Hash Sum mismatch

ESXi Ubuntu 16.04

Thu, 04/28/2016 - 13:13 (Reply to #26)
andreychek

Sorry about that -- Joe thinks this is corrected now, can you try again?

-Eric

Thu, 04/28/2016 - 16:39
nobody

Hi,

Debian 8.3 x32:

W: Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-universal/Rel... Unable to find expected entry 'main/binary-i386/Packages' in Release file (Wrong sources.list entry or malformed file)

Thu, 04/28/2016 - 18:21
andreychek

Thanks -- we thought we finally had the issue fixed. But apparently something else was broken in the process!

It looks like 64 bit is good to go ATM, but I'll have Joe look into the 32 bit stuff. Sorry about that!

-Eric

Fri, 04/29/2016 - 00:31
Arvi89

I'm trying to install cloudmin on Ubuntu 16.04 64 bits, I still get sum mismatch too: (I know it's not virtualmin but it's while trying to get virtualmin packages)

Err:1 http://cloudmin.virtualmin.com/debian binary/ webmin-server-manager 8.4
  Hash Sum mismatch
Get:2 http://cloudmin.virtualmin.com/debian binary/ webmin-virtual-server-theme 9.2 [2,303 kB]
Err:2 http://cloudmin.virtualmin.com/debian binary/ webmin-virtual-server-theme 9.2
  Hash Sum mismatch
Fetched 5,187 kB in 1s (2,977 kB/s)                  
E: Failed to fetch http://cloudmin.virtualmin.com/debian/binary/webmin-server-manager_8.4_all.deb  Hash Sum mismatch

E: Failed to fetch http://cloudmin.virtualmin.com/debian/binary/webmin-virtual-server-theme_9.2_all.deb  Hash Sum mismatch
Fri, 04/29/2016 - 15:05
AustinTX

As of this morning, I am unable to run apt-get update. It doesn't specifically say "hash sum error" but it seems as though a related repository as the one discussed in this topic is moved or corrupted:

...
Hit http://security.ubuntu.com trusty-security/restricted Translation-en
Hit http://security.ubuntu.com trusty-security/universe Translation-en
Fetched 4,162 kB in 10min 3s (6,892 B/s)
W: Failed to fetch http://software.virtualmin.com/gpl/ubuntu/dists/virtualmin-universal/Release  Unable to find expected entry 'main/binary-i386/Packages' in Release file (Wrong sources.list entry or malformed file)

E: Some index files failed to download. They have been ignored, or old ones used instead.
>

The update process ended right there without the usual summary of files updated/remain/etc. It looks like it aborted. Also, for the last couple of weeks the update hangs for a looooong time at a couple of points, and as it sits there, the last thing printed on the right side of the line is an IPV6 address. Until that started happening, updating was always very quick without significant pauses. This also suggests a problem with the repository resource, or at least my ability to access it here.

Fri, 04/29/2016 - 16:02
andreychek

I'm very sorry, I've asked Joe just now to speed up the fix on this one :-)

In a pinch, you could always temporarily comment out the Virtualmin repo. It'll be back up and running soon though!

-Eric

Fri, 04/29/2016 - 16:26
andreychek

Okay, Joe has redone all the metadata for the repositories -- can you guys try again?

Thanks!

-Eric

Sat, 04/30/2016 - 06:12
Arvi89

Still get the issue when I try to install cloudmin, hash sum missmatch on webmin-server-manager and webmin-virtual-server-theme.

Sat, 04/30/2016 - 09:07 (Reply to #34)
andreychek

Can you paste in the full error that you're seeing, so that we can see the repo/files in question? Thanks!

Sun, 05/01/2016 - 04:59
Arvi89

I get this:

The following NEW packages will be installed
  webmin-server-manager webmin-virtual-server-mobile
The following packages will be upgraded:
  webmin-virtual-server-theme
1 to upgrade, 2 to newly install, 0 to remove and 1 not to upgrade.
Need to get 5,187 kB/5,254 kB of archives.
After this operation, 453 MB of additional disk space will be used.
Get:1 http://cloudmin.virtualmin.com/debian binary/ webmin-server-manager 8.4 [2,884 kB]
Err:1 http://cloudmin.virtualmin.com/debian binary/ webmin-server-manager 8.4
  Hash Sum mismatch
Get:2 http://cloudmin.virtualmin.com/debian binary/ webmin-virtual-server-theme 9.2 [2,303 kB]
Err:2 http://cloudmin.virtualmin.com/debian binary/ webmin-virtual-server-theme 9.2
  Hash Sum mismatch
Fetched 5,187 kB in 1s (2,999 kB/s)                  
E: Failed to fetch http://cloudmin.virtualmin.com/debian/binary/webmin-server-manager_8.4_all.deb  Hash Sum mismatch

E: Failed to fetch http://cloudmin.virtualmin.com/debian/binary/webmin-virtual-server-theme_9.2_all.deb  Hash Sum mismatch

E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
.. install failed